package ru.yandex.direct.web.entity.vcard.model;

import com.fasterxml.jackson.annotation.JsonProperty;

public class WebInstantMessenger {
    public static final String TYPE_FIELD_NAME = "type";
    public static final String LOGIN_FIELD_NAME = "login";

    @JsonProperty(TYPE_FIELD_NAME)
    private String type;

    @JsonProperty(LOGIN_FIELD_NAME)
    private String login;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public WebInstantMessenger withType(String type) {
        setType(type);
        return this;
    }

    public String getLogin() {
        return login;
    }

    public void setLogin(String login) {
        this.login = login;
    }

    public WebInstantMessenger withLogin(String login) {
        setLogin(login);
        return this;
    }
}
